%define	major	0

Summary:	Chinese lexicons library for xcin-2.5
Name:		libtabe
Version:	0.2.1
Release:	2mdk
License:	Redistributable
Group:		System/Libraries

Source:		%name-%version.tar.bz2
Patch:		%name-0.1.8-db2.patch.bz2

URL:		http://libtabe.sourceforge.net/
Buildroot:	%_tmppath/%name-%version-%release-root
Obsoletes:	libtabe-tsi
Requires:	%name%major = %version-%release, locales-zh

%description
Chinese lexicons library for xcin-2.5's bimsphone input method.

%package -n %name%major
Summary:	Libraries needed to use packages using libtabe
Group:		System/Libraries

%description -n %name%major
Chinese lexicons library for xcin-2.5's bimsphone input method.

This package contains shared libraries.

%package -n %name%major-devel
Summary:	Header files and libraries for developing apps which will use libtabe
Group:		Development/C
Requires:	%name = %version-%release, %name%major = %version-%release
Provides:	%name-devel
Obsoletes:	%name-devel

%description -n %name%major-devel
Chinese lexicons library for xcin-2.5's bimsphone input method.

This package contains static libraries and headers files.

%prep

%setup -q -n libtabe
%patch0 -p1 -b .chmou

%build
cp -f /usr/share/libtool/config.sub script

%configure --enable-shared

%make

%install
%makeinstall

# Make link so that xcin-2.5 can use yin.db and tsi.db
install -d %buildroot/%_prefix/X11R6/lib/X11/xcin/tab/big5/
cd %buildroot/%_prefix/X11R6/lib/X11/xcin/tab/big5/
ln -sf %_datadir/tsi.db .
ln -sf %_datadir/yin.db .

%clean
rm -fr %buildroot

%post -n %name%major
/sbin/ldconfig

%postun -n %name%major
/sbin/ldconfig

%post -n %name%major-devel
/sbin/ldconfig

%postun -n %name%major-devel
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING  doc/libtabe.sgml
%_bindir/*
%_datadir/*.db
%_prefix/X11R6/lib/X11/xcin/tab/big5/yin.db
%_prefix/X11R6/lib/X11/xcin/tab/big5/tsi.db

%files -n %name%major
%defattr(-,root,root,-)
%doc doc/*.shtml
%_libdir/*.so.*

%files -n %name%major-devel
%defattr(-,root,root)
%doc doc/*.txt
%_includedir/*.h
%_libdir/*.so
%_libdir/*.a

%changelog
* Sat Mar 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-2mdk
- add doc to lib and devel packages

* Sun Jan 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.1-1mdk
- new and shiny source from Andrew Lee (andrew@cle.linux.org.tw).

* Tue Jan 09 2001 Geoff <snailtalk@mandrakesoft.com> 0.1,9-1mdk
- new and shiny libtabe.

* Sun Jan 07 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1.8-3mdk
- Fix Provides and Requires
- Libdification
- Add missing %%post and %%postun
- Spec clean up

* Sat Nov 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.8-2mdk
- Compile implicite with db2.

* Sun Oct 22 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.1.8
- BM
- clean spec
- macros

* Mon Oct  9 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update to 0.1.7

* Fri Jul 28 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update libtabe-0.1-6

* Sat Jul  8 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update libtabe-0.1-5

* Wed May  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- split packages
- added Requires: locales-zh for auto-selection at install time
- added URL

* Sat Mar 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-2

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.1_0.1-1.diff

* Sat Feb 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000209.diff thanks to jouston <jouston@i18n.linux.org.tw>

* Tue Feb 09 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000208.diff

* Thu Feb 04 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add libtabe.diff.20000202

* Fri Feb  4 2000 Cheng Yuan-Cheng <platin@linux.org.tw>
- .spec file cleanup
- change xcin directory to /usr/X11R6/lib/X11/xcin/

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1

* Wed Dec 15 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre8

* Thu Nov 29 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre7

* Thu Nov 25 1999 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for Mandrake
- update libtabe-0.1-pre6

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- rebuild for libtabe-0.1-pre2
- a indepent package with tsiyin-src and tabe library..

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- from libtabe-tsi-src.tar.gz for xcin-2.5.0
